### Method

# Clapper Queue find_item

#### Declaration [src]

    gboolean
    clapper_queue_find_item (
      ClapperQueue* queue,
      ClapperMediaItem* item,
      guint* index
    )

#### Description [src]

Get the index of `ClapperMediaItem` within `ClapperQueue`.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem` to search for.

  The data is owned by the caller of the method.

`index`

  Type: `guint*`

  Return location for the index of the element, if found.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if `item` is one of the elements of queue.